package com.bocloud.cmp.model.azure.db;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbFirewallRuleModel
 * @Description:数据库防火墙规则
 * @author: zhenpingLi/李振平
 * @date: 2021/2/1 13:57
 */
public class DbFirewallRuleModel {

    private String uuid;
    private String name;
    private String startIpAddress;
    private String endIpAddress;
    private String type;
    private String databaseServerUuid;
    //用于创建和删除时使用
    private String databaseServerName;
    private String resourceGroupName;

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDatabaseServerUuid() {
        return databaseServerUuid;
    }

    public void setDatabaseServerUuid(String databaseServerUuid) {
        this.databaseServerUuid = databaseServerUuid;
    }

    public String getDatabaseServerName() {
        return databaseServerName;
    }

    public void setDatabaseServerName(String databaseServerName) {
        this.databaseServerName = databaseServerName;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStartIpAddress() {
        return startIpAddress;
    }

    public void setStartIpAddress(String startIpAddress) {
        this.startIpAddress = startIpAddress;
    }

    public String getEndIpAddress() {
        return endIpAddress;
    }

    public void setEndIpAddress(String endIpAddress) {
        this.endIpAddress = endIpAddress;
    }

}